---
title: DOM Inspector
slug: Tools/Add-ons/DOM_Inspector
tags:
  - DOM
  - 'DOM:Tools'
  - DOM_Inspector
  - Extensions
  - 'Extensions:Tools'
  - Themes
  - 'Themes:Tools'
  - Tools
  - Web Development
  - 'Web Development:Tools'
  - XUL
  - 'XUL:Tools'
---
<div>{{ToolsSidebar}}</div><p>The <strong>DOM Inspector</strong> (also known as <strong>DOMi</strong>) is a developer tool used to inspect, browse, and edit the <a href="/en/DOM" title="en/DOM">Document Object Model</a> of documents - usually web pages or <a href="/en/XUL" title="en/XUL">XUL</a> windows. The DOM hierarchy can be navigated using a two-paned window that allows a variety of different views on the document and all nodes within.</p>

<div class="note">
<p>This tool is an add-on for XUL-based applications such as Firefox and Thunderbird. If you are looking for the DOM inspector that's built into Firefox, see the documentation for the <a href="/en-US/docs/Tools/Page_Inspector">Page Inspector</a>. </p>
</div>

<h2 id="Documentation">Documentation</h2>

<dl>
 <dt><a href="/en/DOM_Inspector/Introduction_to_DOM_Inspector" title="en/DOM_Inspector/Introduction_to_DOM_Inspector">Introduction to DOM Inspector</a></dt>
 <dd>A guided tutorial that will help you get started with DOM Inspector.</dd>
</dl>

<dl>
 <dt><a href="/en/DOM_Inspector/DOM_Inspector_FAQ" title="en/DOM_Inspector/DOM_Inspector_FAQ">DOM Inspector FAQ</a></dt>
 <dd>Answers to common questions on DOM Inspector.</dd>
</dl>

<dl>
 <dt><a class="external" href="http://kb.mozillazine.org/DOM_Inspector">DOM Inspector page at MozillaZine</a></dt>
 <dd>More information on the DOM Inspector.</dd>
 <dt><a href="http://asurkov.blogspot.com/2013/02/build-dom-inspector.html">How to build the DOM Inspector</a></dt>
 <dd>Blog post on building the DOM Inspector from source.</dd>
</dl>

<h2 id="Getting_DOM_Inspector">Getting DOM Inspector</h2>

<dl>
 <dt>Firefox &amp; Thunderbird</dt>
 <dd>You may download and install the <a class="link-https" href="https://addons.mozilla.org/en-US/firefox/addon/6622">DOM Inspector</a> from the AMO web site. (Thunderbird users browsing AMO in Firefox should save the installation link, or visit the <a class="link-https" href="https://addons.mozilla.org/en-US/thunderbird/addon/6622">DOM Inspector for Thunderbird</a> page.)</dd>
</dl>

<dl>
 <dt>Thunderbird 2</dt>
 <dd><a class="link-https" href="https://addons.mozilla.org/en-US/thunderbird/addon/1806">DOM Inspector for Thunderbird 2</a> is available from <a class="link-https" href="https://addons.mozilla.org/en-US/thunderbird/">Thunderbird Add-ons</a>. Or, build Thunderbird yourself with the following options:</dd>
</dl>

<pre>ac_add_options --enable-extensions="default inspector"
ac_add_options --enable-inspector-apis
</pre>

<dl>
 <dt>Mozilla Suite and SeaMonkey</dt>
 <dd>Select Tools &gt; Web Development &gt; DOM Inspector. You can install the Sidebar panel via Edit &gt; Preferences &gt; Advanced &gt; DOM Inspector, then open up the inspector panel and visit a website.</dd>
</dl>

<h2 id="Report_a_bug_in_DOM_Inspector">Report a bug in DOM Inspector</h2>

<p>Use the conveniently named <a href="https://bugzilla.mozilla.org/enter_bug.cgi?format=__default__&amp;product=Other%20Applications&amp;component=DOM%20Inspector">"DOM Inspector" component in Bugzilla</a>.</p>

<p>To find out who knows <a href="https://hg.mozilla.org/dom-inspector">DOM Inspector code</a> and where it lives, see the <a class="link-https" href="https://wiki.mozilla.org/Modules/All#DOM_Inspector"><span class="external">DOM Inspector module listing</span></a>.</p>
